/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : pin_mux.c
**     Project     : twrk21f120m-pin
**     Processor   : MK21FN1M0AVMD12
**     Component   : PinSettings
**     Version     : Component 01.007, Driver 1.2, CPU db: 3.00.000
**     Compiler    : GNU C Compiler
**     Date/Time   : 2014-06-08, 20:07, # CodeGen: 9
**     Abstract    :
**
**     Settings    :
**
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file pin_mux.c
** @version 1.2
** @brief
**
*/         
/*!
**  @addtogroup pin_mux_module pin_mux module documentation
**  @{
*/         

/* MODULE pin_mux. */


#include "fsl_device_registers.h"
#include "fsl_port_hal.h"
#include "fsl_sim_hal.h"
#include "pin_mux.h"



void configure_can_pins(uint32_t instance)
{
  /* Affects PORTA_PCR13 register */
  PORT_HAL_SetMuxMode(PORTA,13u,kPortMuxAlt2);
  /* Affects PORTB_PCR18 register */
  PORT_HAL_SetMuxMode(PORTA,12u,kPortMuxAlt2);
}

void configure_ftm_pins(uint32_t instance)
{
  switch(instance) {    
    case 0:                       /* FTM0 */
      /* Affects PORTD_PCR6 register */
      PORT_HAL_SetDriveStrengthMode(PORTD,6u,kPortLowDriveStrength);
      PORT_HAL_SetMuxMode(PORTD,6u,kPortMuxAlt4);
      PORT_HAL_SetSlewRateMode(PORTD,6u,kPortSlowSlewRate);
      break;
    case 3:                       /* FTM3 */
	  /* Affects PORTE_PCR6 register */
	  PORT_HAL_SetDriveStrengthMode(PORTE,6u,kPortLowDriveStrength);
	  PORT_HAL_SetMuxMode(PORTE,6u,kPortMuxAlt6);
	  PORT_HAL_SetSlewRateMode(PORTE,6u,kPortSlowSlewRate);
	  break;
    default:
      break;
  }
}

void configure_gpio_pins(uint32_t instance)
{
  switch(instance) {    
    case 0:                      /* HW_PORTA */
      /* Affects PORTA_PCR4 register */
      PORT_HAL_SetPassiveFilterCmd(PORTA,4u,false);
      PORT_HAL_SetMuxMode(PORTA,4u,kPortMuxAsGpio);
      PORT_HAL_SetPullMode(PORTA,4u,kPortPullUp);
      PORT_HAL_SetPullCmd(PORTA,4u,true);
      /* Affects PORTA_PCR6 register */
      PORT_HAL_SetMuxMode(PORTA,6u,kPortMuxAsGpio);
      /* Affects PORTA_PCR8 register */
      PORT_HAL_SetMuxMode(PORTA,8u,kPortMuxAsGpio);
      break;
    case 1:                      /* HW_PORTB */
      /* Affects PORTB_PCR6 register */
      PORT_HAL_SetMuxMode(PORTB,6u,kPortMuxAsGpio);
      /* Affects PORTB_PCR8 register */
      PORT_HAL_SetMuxMode(PORTB,8u,kPortMuxAsGpio);
      /* Affects PORTB_PCR20 register */
      PORT_HAL_SetMuxMode(PORTB,20u,kPortMuxAsGpio);
      /* Affects PORTB_PCR21 register */
      PORT_HAL_SetMuxMode(PORTB,21u,kPortMuxAsGpio);
      break;
    case 2:                      /* HW_PORTC */
      /* Affects PORTC_PCR6 register */
      PORT_HAL_SetPassiveFilterCmd(PORTC,6u,false);
      PORT_HAL_SetMuxMode(PORTC,6u,kPortMuxAsGpio);
      PORT_HAL_SetPullMode(PORTC,6u,kPortPullUp);
      PORT_HAL_SetPullCmd(PORTC,6u,true);
      /* Affects PORTC_PCR8 register */
      PORT_HAL_SetMuxMode(PORTC,8u,kPortMuxAsGpio);
      /* Affects PORTC_PCR9 register */
      PORT_HAL_SetMuxMode(PORTC,9u,kPortMuxAsGpio);
      /* Affects PORTC_PCR18 register */
      PORT_HAL_SetMuxMode(PORTC,18u,kPortMuxAsGpio);
      /* Affects PORTC_PCR19 register */
      PORT_HAL_SetMuxMode(PORTC,19u,kPortMuxAsGpio);
      break;
    case 4:                      /* HW_PORTE */
      /* Affects PORTE_PCR6 register */
      PORT_HAL_SetDriveStrengthMode(PORTE,6u,kPortLowDriveStrength);  
      PORT_HAL_SetMuxMode(PORTE,6u,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTE,6u,kPortSlowSlewRate);
      /* Affects PORTE_PCR7 register */
      PORT_HAL_SetDriveStrengthMode(PORTE,7u,kPortLowDriveStrength);  
      PORT_HAL_SetMuxMode(PORTE,7u,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTE,7u,kPortSlowSlewRate);
      /* Affects PORTE_PCR8 register */
      PORT_HAL_SetDriveStrengthMode(PORTE,8u,kPortLowDriveStrength);  
      PORT_HAL_SetMuxMode(PORTE,8u,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTE,8u,kPortSlowSlewRate);
      /* Affects PORTE_PCR9 register */
      PORT_HAL_SetDriveStrengthMode(PORTE,9u,kPortLowDriveStrength);  
      PORT_HAL_SetMuxMode(PORTE,9u,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTE,9u,kPortSlowSlewRate);
      /* Affects PORTE_PCR12 register */
      PORT_HAL_SetMuxMode(PORTE,12u,kPortMuxAsGpio);
      break;
    default:
      break;
  }
}

void configure_led_pins(void)
{
    /* Affects PORTD_PCR4 register */
    PORT_HAL_SetMuxMode(PORTD,4u,kPortMuxAsGpio);
    /* Affects PORTD_PCR5 register */
    PORT_HAL_SetMuxMode(PORTD,5u,kPortMuxAsGpio);
    /* Affects PORTD_PCR6 register */
    PORT_HAL_SetMuxMode(PORTD,6u,kPortMuxAsGpio);
    /* Affects PORTD_PCR7 register */
    PORT_HAL_SetMuxMode(PORTD,7u,kPortMuxAsGpio);
}

void configure_i2c_pins(uint32_t instance)
{
  switch(instance) {    
    case 0:                       /* I2C0 */
      /* Affects PORTD_PCR2 register */
      PORT_HAL_SetMuxMode(PORTD,2u,kPortMuxAlt7);
      PORT_HAL_SetOpenDrainCmd(PORTD, 2u, true);
      /* Affects PORTD_PCR3 register */
      PORT_HAL_SetMuxMode(PORTD,3u,kPortMuxAlt7);
      PORT_HAL_SetOpenDrainCmd(PORTD, 3u, true);
      break;
    case 1:                       /* I2C1 */
      /* Affects PORTC_PCR10 register */
      PORT_HAL_SetMuxMode(PORTC,10u,kPortMuxAlt2);
      PORT_HAL_SetOpenDrainCmd(PORTC, 10u, true);
      /* Affects PORTC_PCR11 register */
      PORT_HAL_SetMuxMode(PORTC,11u,kPortMuxAlt2);
      PORT_HAL_SetOpenDrainCmd(PORTC, 11u, true);
      break;
    default:
      break;
  }
}

void configure_i2s_pins(uint32_t instance)
{
  /* Affects PORTC_PCR8 register */
  PORT_HAL_SetMuxMode(PORTC,8u,kPortMuxAlt4);
  /* Affects PORTC_PCR5 register */
  PORT_HAL_SetMuxMode(PORTC,5u,kPortMuxAlt4);
  /* Affects PORTB_PCR18 register */
  PORT_HAL_SetMuxMode(PORTB,18u,kPortMuxAlt4);
  /* Affects PORTB_PCR19 register */
  PORT_HAL_SetMuxMode(PORTB,19u,kPortMuxAlt4);
  /* Affects PORTC_PCR1 register */
  PORT_HAL_SetMuxMode(PORTC,1u,kPortMuxAlt6);
}

void configure_rtc_pins(uint32_t instance)
{
  /* Affects PORTE_PCR26 register */
  PORT_HAL_SetMuxMode(PORTE,0u,kPortMuxAlt6);
}

void configure_sdhc_pins(uint32_t instance)
{
  /* Affects PORTE_PCR3 register */
  PORT_HAL_SetMuxMode(PORTE,3u,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,3u,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,3u,true);
  PORT_HAL_SetDriveStrengthMode(PORTE,3u,kPortHighDriveStrength);
  /* Affects PORTE_PCR1 register */
  PORT_HAL_SetMuxMode(PORTE,1u,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,1u,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,1u,true);
  PORT_HAL_SetDriveStrengthMode(PORTE,1u,kPortHighDriveStrength);
  /* Affects PORTE_PCR0 register */
  PORT_HAL_SetMuxMode(PORTE,0u,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,0u,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,0u,true);
  PORT_HAL_SetDriveStrengthMode(PORTE,0u,kPortHighDriveStrength);
  /* Affects PORTE_PCR5 register */
  PORT_HAL_SetMuxMode(PORTE,5u,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,5u,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,5u,true);
  PORT_HAL_SetDriveStrengthMode(PORTE,5u,kPortHighDriveStrength);
  /* Affects PORTE_PCR4 register */
  PORT_HAL_SetMuxMode(PORTE,4u,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,4u,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,4u,true);
  PORT_HAL_SetDriveStrengthMode(PORTE,4u,kPortHighDriveStrength);
  /* Affects PORTE_PCR2 register */
  PORT_HAL_SetMuxMode(PORTE,2u,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,2u,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,2u,true);
  PORT_HAL_SetDriveStrengthMode(PORTE,2u,kPortHighDriveStrength);
}

void configure_spi_pins(uint32_t instance)
{
  switch(instance) {    
    case 0:                       /* SPI0 */
      /* Affects PORTB_PCR10 register */
      PORT_HAL_SetMuxMode(PORTE,16u,kPortMuxAlt2);
      /* Affects PORTB_PCR17 register */
      PORT_HAL_SetMuxMode(PORTE,17u,kPortMuxAlt2);
      /* Affects PORTB_PCR11 register */
      PORT_HAL_SetMuxMode(PORTE,18u,kPortMuxAlt2);
      /* Affects PORTB_PCR16 register */
      PORT_HAL_SetMuxMode(PORTA,17u,kPortMuxAlt2);
      break;
    case 1:                       /* SPI1 */
      /* Affects PORTB_PCR11 register */
      PORT_HAL_SetMuxMode(PORTB,11u,kPortMuxAlt2);
      /* Affects PORTB_PCR10 register */
      PORT_HAL_SetMuxMode(PORTB,10u,kPortMuxAlt2);
      /* Affects PORTB_PCR16 register */
      PORT_HAL_SetMuxMode(PORTB,16u,kPortMuxAlt2);
      /* Affects PORTB_PCR17 register */
      PORT_HAL_SetMuxMode(PORTB,17u,kPortMuxAlt2);            
      break;
    default:
      break;
  }
}

void configure_uart_pins(uint32_t instance)
{
  switch(instance) {    
    case 1:                      /* UART1 */
      /* Affects PORTC_PCR3 register */
      PORT_HAL_SetMuxMode(PORTC,3u,kPortMuxAlt3);
      /* Affects PORTC_PCR4 register */
      PORT_HAL_SetMuxMode(PORTC,4u,kPortMuxAlt3);
      break;
    case 5:                      /* UART5 */
      /* Affects PORTE_PCR9 register */
      PORT_HAL_SetMuxMode(PORTD,9u,kPortMuxAlt3);
      /* Affects PORTE_PCR8 register */
      PORT_HAL_SetMuxMode(PORTD,8u,kPortMuxAlt3);
      break;
    default:
      break;
  }
}

void configure_spi_cs0_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTD,0u,kPortMuxAsGpio);
}

void configure_spi_cs1_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTD,4u,kPortMuxAsGpio);
}

void configure_gpio_i2c_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTC,10u,kPortMuxAsGpio);
  PORT_HAL_SetMuxMode(PORTC,11u,kPortMuxAsGpio);
}

void configure_cmp_pins(uint32_t instance)
{
    switch (instance)
    {
        case 0U:
            PORT_HAL_SetMuxMode(PORTC, 6U, kPortPinDisabled); /* PTC6 - CMP0_IN0. */
            break;
        default:
            break;
    }
}

/* END pin_mux. */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.4 [05.10]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
