/* ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : hardware_init.c
**     Project     : SDK
**     Processor   : MK22FN512VDC12
**     Component   : PinSettings
**     Version     : Component 01.002, Driver 1.1, CPU db: 3.00.000
**     Compiler    : IAR ARM C Compiler
**     Date/Time   : 2014-01-06, 13:21, # CodeGen: 2
**     Abstract    :
**
**     Settings    :
**
**     Contents    :
**         GPIO                - void hardware_init_GPIO(uint32_t instance);
**         I2C                 - void hardware_init_I2C(uint32_t instance);
**         I2S                 - void hardware_init_I2S(uint32_t instance);
**         SPI                 - void hardware_init_SPI(uint32_t instance);
**         UART                - void hardware_init_UART(uint32_t instance);
**
**     Copyright : 1997 - 2013 Freescale Semiconductor, Inc. All Rights Reserved.
**     SOURCE DISTRIBUTION PERMISSIBLE as directed in End User License Agreement.
**     
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/
/*!
** @file hardware_init.c
** @version 1.1
** @brief
**
*/         
/*!
**  @addtogroup hardware_init_module hardware_init module documentation
**  @{
*/         

/* MODULE hardware_init. */

#include "fsl_device_registers.h"
#include "fsl_port_hal.h"
#include "pin_mux.h"


void configure_gpio_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* PTA */
      /* Affects PORTA_PCR5 register */
      PORT_HAL_SetMuxMode(PORTA,5u,kPortMuxAlt2);
      /* Affects PORTA_PCR16 register */
      PORT_HAL_SetMuxMode(PORTA,16u,kPortMuxAsGpio);
      break;
    case 1:                             /* PTB */
      /* PORTB_PCR0 */
      PORT_HAL_SetMuxMode(PORTB,0u,kPortMuxAsGpio);
      /* PORTB_PCR1 */
      PORT_HAL_SetMuxMode(PORTB,1u,kPortMuxAsGpio);
      /* PORTB_PCR6 */
      PORT_HAL_SetMuxMode(PORTB,6u,kPortMuxAsGpio);
      /* PORTB_PCR8 */
      PORT_HAL_SetMuxMode(PORTB,8u,kPortMuxAsGpio);
      break;
    case 2:                             /* PTC */
      /* PORTC_PCR6 */
      PORT_HAL_SetMuxMode(PORTC,6u,kPortMuxAsGpio);
      /* PORTC_PCR7 */
      PORT_HAL_SetMuxMode(PORTC,7u,kPortMuxAsGpio);
      /* PORTC_PCR8 */
      PORT_HAL_SetMuxMode(PORTC,8u,kPortMuxAsGpio);
      /* PORTC_PCR9 */
      PORT_HAL_SetMuxMode(PORTC,9u,kPortMuxAsGpio);
      break;
    case 3:                             /* PTD */
      /* PORTD_PCR4 */
      PORT_HAL_SetMuxMode(PORTD,4u,kPortMuxAsGpio);
      /* PORTD_PCR5 */
      PORT_HAL_SetMuxMode(PORTD,5u,kPortMuxAsGpio);
      /* PORTD_PCR6 */
      PORT_HAL_SetMuxMode(PORTD,6u,kPortMuxAsGpio);
      /* PORTD_PCR7 */
      PORT_HAL_SetMuxMode(PORTD,7u,kPortMuxAsGpio);
      break;
    default:
      break;
  }
}

void configure_i2c_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* I2C0 */
      /* PORTE_PCR24 */
      PORT_HAL_SetMuxMode(PORTE,24u,kPortMuxAlt5);
      PORT_HAL_SetOpenDrainCmd(PORTE,24u,true);
      /* PORTE_PCR25 */
      PORT_HAL_SetMuxMode(PORTE,25u,kPortMuxAlt5);
      PORT_HAL_SetOpenDrainCmd(PORTE,25u,true);
      break;
    case 1:                             /* I2C1 */
      /* PORTC_PCR10 */
      PORT_HAL_SetMuxMode(PORTC,10u,kPortMuxAlt2);
      PORT_HAL_SetOpenDrainCmd(PORTC,10u,true);
      /* PORTC_PCR11 */
      PORT_HAL_SetMuxMode(PORTC,11u,kPortMuxAlt2);
      PORT_HAL_SetOpenDrainCmd(PORTC,11u,true);
      break;
    default:
      break;
  }
}

void configure_i2s_pins(uint32_t instance)
{
  /* PORTC_PCR8 */
  PORT_HAL_SetMuxMode(PORTC,8u,kPortMuxAlt4);
  /* PORTC_PCR5 */
  PORT_HAL_SetMuxMode(PORTC,5u,kPortMuxAlt4);
  /* PORTB_PCR18 */
  PORT_HAL_SetMuxMode(PORTB,18u,kPortMuxAlt4);
  /* PORTB_PCR19 */
  PORT_HAL_SetMuxMode(PORTB,19u,kPortMuxAlt4);
  /* PORTC_PCR1 */
  PORT_HAL_SetMuxMode(PORTC,1u,kPortMuxAlt6);
}

void configure_rtc_pins(uint32_t instance)
{
  /* PORTE_PCR26 */
  PORT_HAL_SetMuxMode(PORTE,26u,kPortMuxAlt6);
}

void configure_spi_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* SPI0 */
      /* PORTD_PCR0 */
      PORT_HAL_SetMuxMode(PORTD,0u,kPortMuxAlt2);
      /* PORTD_PCR3 */
      PORT_HAL_SetMuxMode(PORTD,3u,kPortMuxAlt2);
      /* PORTD_PCR1 */
      PORT_HAL_SetMuxMode(PORTD,1u,kPortMuxAlt2);
      /* PORTD_PCR2 */
      PORT_HAL_SetMuxMode(PORTD,2u,kPortMuxAlt2);
      break;
    case 1:                             /* SPI1 */
      /* PORTB_PCR10 */
      PORT_HAL_SetMuxMode(PORTB,10u,kPortMuxAlt2);
      /* PORTB_PCR17 */
      PORT_HAL_SetMuxMode(PORTB,17u,kPortMuxAlt2);
      /* PORTB_PCR11 */
      PORT_HAL_SetMuxMode(PORTB,11u,kPortMuxAlt2);
      /* PORTB_PCR16 */
      PORT_HAL_SetMuxMode(PORTB,16u,kPortMuxAlt2);
      break;
    default:
      break;
  }
}

// Connected TWR_MEM
void configure_sdcard_spi_pins(uint32_t instance)
{
    /* SPI1_CS0 */
    PORT_HAL_SetMuxMode(PORTB, 10u, kPortMuxAlt2);
    PORT_HAL_SetPullMode(PORTB, 10u, kPortPullUp);
    PORT_HAL_SetPullCmd(PORTB, 10u, true);

    /* SPI1_SCK */
    PORT_HAL_SetMuxMode(PORTB, 11u, kPortMuxAlt2);

    /* SPI1_SOUT */
    PORT_HAL_SetMuxMode(PORTB, 16u, kPortMuxAlt2);
    PORT_HAL_SetPullMode(PORTB, 16u, kPortPullUp);
    PORT_HAL_SetPullCmd(PORTB, 16u, true);

    /* SPI1_SIN */
    PORT_HAL_SetMuxMode(PORTB, 17u, kPortMuxAlt2);
    PORT_HAL_SetPullMode(PORTB, 17u, kPortPullUp);
    PORT_HAL_SetPullCmd(PORTB, 17u, true);

    /* Pin_Card_detection*/
    PORT_HAL_SetMuxMode(PORTC, 5u, kPortMuxAsGpio);

    /* Pin_Card_write_protection*/
    PORT_HAL_SetMuxMode(PORTA, 17u, kPortMuxAsGpio);
    PORT_HAL_SetPullMode(PORTA, 17u, kPortPullUp);
    PORT_HAL_SetPullCmd(PORTA, 17u, true);
}

void configure_spi_cs0_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTD,0u,kPortMuxAsGpio);
}

void configure_spi_cs1_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTD,4u,kPortMuxAsGpio);
}

void configure_gpio_i2c_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTC,10u,kPortMuxAsGpio);
  PORT_HAL_SetMuxMode(PORTC,11u,kPortMuxAsGpio);
}

void configure_uart_pins(uint32_t instance)
{
  switch(instance) {
    case 1:                             /* UART1 */
      /* PORTE_PCR1 */
      PORT_HAL_SetMuxMode(PORTE,1u,kPortMuxAlt3);
      /* PORTE_PCR0 */
      PORT_HAL_SetMuxMode(PORTE,0u,kPortMuxAlt3);
      break;
    default:
      break;
  }
}

/* Setup FTM pins to drive LEDs */
void configure_ftm_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* FTM0 */
    /* PORTD_PCR4 (D7 - Green) */
    PORT_HAL_SetMuxMode(PORTD, 4u, kPortMuxAlt4);
    break;

    default:
      break;
  }
}

void configure_cmp_pins(uint32_t instance)
{
    switch (instance)
    {
        case 0U:
            PORT_HAL_SetMuxMode(PORTC, 6U, kPortPinDisabled); /* PTC6 - CMP0_IN0. */
            break;
        default:
            break;
    }
}

/* Setup all smartcard interface pins */
void configure_smartcard_pins(uint32_t instance)
{
    /* UART0,A42 */
    /* PORTA_PCR14 - IO*/
    PORT_HAL_SetMuxMode(PORTA,14u,kPortMuxAlt3);
    PORT_HAL_SetPullMode(PORTA,14u,kPortPullUp);
    PORT_HAL_SetPullCmd(PORTA,14u, true);
    
    /* FTM,A40*/
    /* - Card clock */
    PORT_HAL_SetMuxMode(PORTC,1u,kPortMuxAlt4);
    PORT_HAL_SetDriveStrengthMode(PORTC, 1u, kPortHighDriveStrength); 
    
    /* PHY/Interface Control */        
    /* Reset - A38,PTC3*/
    PORT_HAL_SetMuxMode(PORTC,3u,kPortMuxAsGpio);
    PORT_HAL_SetDriveStrengthMode(PORTC, 3u, kPortHighDriveStrength);
    
    /*Vsel0:B23,PTA5 and Vsel1:A9,PTE2*/
    PORT_HAL_SetMuxMode(PORTA,5u,kPortMuxAsGpio);
    PORT_HAL_SetDriveStrengthMode(PORTA, 5u, kPortHighDriveStrength);
    PORT_HAL_SetMuxMode(PORTE,2u,kPortMuxAsGpio);
    PORT_HAL_SetDriveStrengthMode(PORTE, 2u, kPortHighDriveStrength);
    
    /*INT pin:B60,PTE24*/
    PORT_HAL_SetMuxMode(PORTE,24u,kPortMuxAsGpio);
    PORT_HAL_SetDriveStrengthMode(PORTE, 24u, kPortHighDriveStrength);
    
    /*CMDVCC pin:B21,PTE3*/
    PORT_HAL_SetMuxMode(PORTE,3u,kPortMuxAsGpio);
    PORT_HAL_SetDriveStrengthMode(PORTB, 21u, kPortHighDriveStrength);
}

/* END hardware_init. */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
