/* ###################################################################
**     This component module is generated by Processor Expert. Do not modify it.
**     Filename    : pin_mux.c
**     Project     : TWR_K65F180M
**     Processor   : MK65FN2M0VMI18
**     Component   : PinSettings
**     Version     : Component 01.007, Driver 1.3, CPU db: 3.00.000
**     Compiler    : IAR ARM C Compiler
**     Date/Time   : 2014-11-12, 12:08, # CodeGen: 9
**     Abstract    :
**
**     Settings    :
**
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file pin_mux.c
** @version 1.3
** @brief
**
*/         
/*!
**  @addtogroup pin_mux_module pin_mux module documentation
**  @{
*/         

/* MODULE pin_mux. */


#include "fsl_device_registers.h"
#include "fsl_port_hal.h"
#include "fsl_sim_hal.h"
#include "pin_mux.h"



void configure_can_pins(uint32_t instance)
{
  switch(instance) {    
    case CAN0_IDX:                       /* HW_CAN0 */
      /* Affects PORTA_PCR31 register */
      PORT_HAL_SetMuxMode(PORTA,31UL,kPortMuxAlt2);
      /* Affects PORTA_PCR30 register */
      PORT_HAL_SetMuxMode(PORTA,30UL,kPortMuxAlt2);
      break;
    default:
      break;
  }
}

void configure_cmp_pins(uint32_t instance)
{
  switch(instance) {    
    case CMP0_IDX:                       /* HW_CMP0 */
      /* Affects PORTC_PCR6 register */
      PORT_HAL_SetMuxMode(PORTC,6UL,kPortPinDisabled);
      break;
    default:
      break;
  }
}

void configure_enet_pins(uint32_t instance)
{
  /* Affects PORTB_PCR2 register */
  PORT_HAL_SetMuxMode(PORTB,2UL,kPortMuxAlt4);
  /* Affects PORTB_PCR3 register */
  PORT_HAL_SetMuxMode(PORTB,3UL,kPortMuxAlt4);
  /* Affects PORTB_PCR4 register */
  PORT_HAL_SetOpenDrainCmd(PORTB,4UL,false);
  PORT_HAL_SetMuxMode(PORTB,4UL,kPortMuxAlt4);
  PORT_HAL_SetSlewRateMode(PORTB,4UL,kPortSlowSlewRate);
  /* Affects PORTB_PCR5 register */
  PORT_HAL_SetOpenDrainCmd(PORTB,5UL,false);
  PORT_HAL_SetMuxMode(PORTB,5UL,kPortMuxAlt4);
  PORT_HAL_SetSlewRateMode(PORTB,5UL,kPortSlowSlewRate);
  /* Affects PORTE_PCR26 register */
  PORT_HAL_SetMuxMode(PORTE,26UL,kPortMuxAlt2);
  /* Affects PORTA_PCR8 register */
  PORT_HAL_SetMuxMode(PORTA,8UL,kPortMuxAlt5);
  /* Affects PORTA_PCR7 register */
  PORT_HAL_SetMuxMode(PORTA,7UL,kPortMuxAlt5);
  /* Affects PORTA_PCR13 register */
  PORT_HAL_SetMuxMode(PORTA,13UL,kPortMuxAlt4);
  /* Affects PORTA_PCR12 register */
  PORT_HAL_SetMuxMode(PORTA,12UL,kPortMuxAlt4);
  /* Affects PORTA_PCR14 register */
  PORT_HAL_SetMuxMode(PORTA,14UL,kPortMuxAlt4);
  /* Affects PORTA_PCR5 register */
  PORT_HAL_SetMuxMode(PORTA,5UL,kPortMuxAlt4);
  /* Affects PORTA_PCR16 register */
  PORT_HAL_SetMuxMode(PORTA,16UL,kPortMuxAlt4);
  /* Affects PORTA_PCR17 register */
  PORT_HAL_SetMuxMode(PORTA,17UL,kPortMuxAlt4);
  /* Affects PORTA_PCR15 register */
  PORT_HAL_SetMuxMode(PORTA,15UL,kPortMuxAlt4);
  /* Affects PORTA_PCR18 register */
  PORT_HAL_SetMuxMode(PORTA,18UL,kPortPinDisabled);
}

void configure_ftm_pins(uint32_t instance)
{
  switch(instance) {    
    case FTM0_IDX:                       /* HW_FTM0 */
      /* Affects PORTC_PCR3 register */
      PORT_HAL_SetMuxMode(PORTC,3UL,kPortMuxAlt4);
      break;
    case FTM2_IDX:                       /* HW_FTM2 */
      /* Affects PORTA_PCR10 register */
      PORT_HAL_SetMuxMode(PORTA,10UL,kPortMuxAlt6);
      PORT_HAL_SetPullMode(PORTA,10UL,kPortPullUp);
      PORT_HAL_SetPullCmd(PORTA,10UL,true);
      break;
    default:
      break;
  }
}

void configure_gpio_pins(uint32_t instance)
{
  switch(instance) {    
    case PORTA_IDX:                      /* HW_PORTA */
      /* Affects PORTA_PCR4 register */
      PORT_HAL_SetPassiveFilterCmd(PORTA,4UL,false);
      PORT_HAL_SetMuxMode(PORTA,4UL,kPortMuxAsGpio);
      PORT_HAL_SetPullMode(PORTA,4UL,kPortPullUp);
      PORT_HAL_SetPullCmd(PORTA,4UL,true);
      /* Affects PORTA_PCR9 register */
      PORT_HAL_SetMuxMode(PORTA,9UL,kPortMuxAsGpio);
      /* Affects PORTA_PCR10 register */
      PORT_HAL_SetMuxMode(PORTA,10UL,kPortMuxAsGpio);
      PORT_HAL_SetPullMode(PORTA,10UL,kPortPullUp);
      PORT_HAL_SetPullCmd(PORTA,10UL,true);
      /* Affects PORTA_PCR28 register */
      PORT_HAL_SetOpenDrainCmd(PORTA,28UL,false);
      PORT_HAL_SetMuxMode(PORTA,28UL,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTA,28UL,kPortSlowSlewRate);
      /* Affects PORTA_PCR29 register */
      PORT_HAL_SetOpenDrainCmd(PORTA,29UL,false);
      PORT_HAL_SetMuxMode(PORTA,29UL,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTA,29UL,kPortSlowSlewRate);
      break;
    case PORTB_IDX:                      /* HW_PORTB */
      /* Affects PORTB_PCR4 register */
      PORT_HAL_SetOpenDrainCmd(PORTB,4UL,false);
      PORT_HAL_SetMuxMode(PORTB,4UL,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTB,4UL,kPortSlowSlewRate);
      /* Affects PORTB_PCR5 register */
      PORT_HAL_SetOpenDrainCmd(PORTB,5UL,false);
      PORT_HAL_SetMuxMode(PORTB,5UL,kPortMuxAsGpio);
      PORT_HAL_SetSlewRateMode(PORTB,5UL,kPortSlowSlewRate);
      break;
    case PORTD_IDX:                      /* HW_PORTD */
      /* Affects PORTD_PCR11 register */
      PORT_HAL_SetMuxMode(PORTD,11UL,kPortMuxAsGpio);
      /* Affects PORTD_PCR15 register */
      PORT_HAL_SetMuxMode(PORTD,15UL,kPortMuxAsGpio);
      break;
    case PORTE_IDX:                      /* HW_PORTE */
      /* Affects PORTE_PCR4 register */
      PORT_HAL_SetMuxMode(PORTE,4UL,kPortMuxAsGpio);
      /* Affects PORTE_PCR17 register */
      PORT_HAL_SetMuxMode(PORTE,17UL,kPortMuxAsGpio);
      /* Affects PORTE_PCR27 register */
      PORT_HAL_SetMuxMode(PORTE,27UL,kPortMuxAsGpio);
      /* Affects PORTE_PCR28 register */
      PORT_HAL_SetMuxMode(PORTE,28UL,kPortMuxAsGpio);
      break;
    default:
      break;
  }
}

void configure_i2c_pins(uint32_t instance)
{
  switch(instance) {    
    case I2C0_IDX:                       /* HW_I2C0 */
      /* Affects PORTE_PCR19 register */
      PORT_HAL_SetMuxMode(PORTE,19UL,kPortMuxAlt4);
      PORT_HAL_SetOpenDrainCmd(PORTE,19UL,true);
      /* Affects PORTE_PCR18 register */
      PORT_HAL_SetMuxMode(PORTE,18UL,kPortMuxAlt4);
      PORT_HAL_SetOpenDrainCmd(PORTE,18UL,true);
      break;
    case I2C1_IDX:                       /* HW_I2C1 */
      /* Affects PORTE_PCR1 register */
      PORT_HAL_SetMuxMode(PORTE,1UL,kPortMuxAlt6);
      PORT_HAL_SetOpenDrainCmd(PORTE,1UL,true);
      /* Affects PORTE_PCR0 register */
      PORT_HAL_SetMuxMode(PORTE,0UL,kPortMuxAlt6);
      PORT_HAL_SetOpenDrainCmd(PORTE,0UL,true);
      break;
    default:
      break;
  }
}

void configure_i2s_pins(uint32_t instance)
{
  /* Affects PORTE_PCR6 register */
  PORT_HAL_SetMuxMode(PORTE,6UL,kPortMuxAlt4);
  /* Affects PORTE_PCR7 register */
  PORT_HAL_SetMuxMode(PORTE,7UL,kPortMuxAlt4);
  /* Affects PORTE_PCR12 register */
  PORT_HAL_SetMuxMode(PORTE,12UL,kPortMuxAlt4);
  /* Affects PORTE_PCR11 register */
  PORT_HAL_SetMuxMode(PORTE,11UL,kPortMuxAlt4);
  /* Affects PORTE_PCR10 register */
  PORT_HAL_SetMuxMode(PORTE,10UL,kPortMuxAlt4);
}

void configure_jtag_pins(uint32_t instance)
{
  /* Affects PORTA_PCR0 register */
  PORT_HAL_SetMuxMode(PORTA,0UL,kPortMuxAlt7);
  /* Affects PORTA_PCR1 register */
  PORT_HAL_SetMuxMode(PORTA,1UL,kPortMuxAlt7);
  /* Affects PORTA_PCR2 register */
  PORT_HAL_SetMuxMode(PORTA,2UL,kPortMuxAlt7);
  /* Affects PORTA_PCR3 register */
  PORT_HAL_SetMuxMode(PORTA,3UL,kPortMuxAlt7);
}

void configure_llwu_pins(uint32_t instance)
{
  /* Affects PORTE_PCR4 register */
  PORT_HAL_SetMuxMode(PORTE,4UL,kPortMuxAsGpio);
  /* Affects PORTA_PCR4 register */
  PORT_HAL_SetPassiveFilterCmd(PORTA,4UL,false);
  PORT_HAL_SetMuxMode(PORTA,4UL,kPortMuxAsGpio);
  PORT_HAL_SetPullMode(PORTA,4UL,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTA,4UL,true);
  /* Affects PORTE_PCR17 register */
  PORT_HAL_SetMuxMode(PORTE,17UL,kPortMuxAsGpio);
  /* Affects PORTA_PCR10 register */
  PORT_HAL_SetMuxMode(PORTA,10UL,kPortMuxAsGpio);
  PORT_HAL_SetPullMode(PORTA,10UL,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTA,10UL,true);
  /* Affects PORTD_PCR11 register */
  PORT_HAL_SetMuxMode(PORTD,11UL,kPortMuxAsGpio);
}

void configure_lpuart_pins(uint32_t instance)
{
  /* Affects PORTD_PCR8 register */
  PORT_HAL_SetMuxMode(PORTD,8UL,kPortMuxAlt5);
  /* Affects PORTD_PCR9 register */
  PORT_HAL_SetMuxMode(PORTD,9UL,kPortMuxAlt5);
}

void configure_osc_pins(uint32_t instance)
{
  /* Affects PORTA_PCR18 register */
  PORT_HAL_SetMuxMode(PORTA,18UL,kPortPinDisabled);
  /* Affects PORTA_PCR19 register */
  PORT_HAL_SetMuxMode(PORTA,19UL,kPortPinDisabled);
}

void configure_rtc_pins(uint32_t instance)
{
  /* Affects PORTE_PCR0 register */
  PORT_HAL_SetMuxMode(PORTE,0UL,kPortMuxAlt7);
}

void configure_sdhc_pins(uint32_t instance)
{
  /* Affects PORTE_PCR3 register */
  PORT_HAL_SetMuxMode(PORTE,3UL,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,3UL,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,3UL,true);
  /* Affects PORTE_PCR1 register */
  PORT_HAL_SetMuxMode(PORTE,1UL,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,1UL,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,1UL,true);
  /* Affects PORTE_PCR0 register */
  PORT_HAL_SetMuxMode(PORTE,0UL,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,0UL,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,0UL,true);
  /* Affects PORTE_PCR5 register */
  PORT_HAL_SetMuxMode(PORTE,5UL,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,5UL,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,5UL,true);
  /* Affects PORTE_PCR4 register */
  PORT_HAL_SetMuxMode(PORTE,4UL,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,4UL,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,4UL,true);
  /* Affects PORTE_PCR2 register */
  PORT_HAL_SetMuxMode(PORTE,2UL,kPortMuxAlt4);
  PORT_HAL_SetPullMode(PORTE,2UL,kPortPullUp);
  PORT_HAL_SetPullCmd(PORTE,2UL,true);
}

void configure_sdram_pins(uint32_t instance)
{
  /* Affects PORTC_PCR3 register */
  PORT_HAL_SetMuxMode(PORTC,3UL,kPortMuxAlt5);
}

void configure_sim_pins(uint32_t instance)
{
  /* Affects PORTC_PCR3 register */
  PORT_HAL_SetMuxMode(PORTC,3UL,kPortMuxAlt5);
}

void configure_spi_pins(uint32_t instance)
{
  switch(instance) {
    case SPI0_IDX:                       /* HW_SPI0 */
      /* Affects PORTA_PCR17 register */
      PORT_HAL_SetMuxMode(PORTA,17UL,kPortMuxAlt2);
      /* Affects PORTA_PCR16 register */
      PORT_HAL_SetMuxMode(PORTA,16UL,kPortMuxAlt2);
      /* Affects PORTA_PCR15 register */
      PORT_HAL_SetMuxMode(PORTA,15UL,kPortMuxAlt2);
      /* Affects PORTA_PCR14 register */
      PORT_HAL_SetMuxMode(PORTA,14UL,kPortMuxAlt2);
      break;
    case SPI1_IDX:                       /* HW_SPI1 */
      /* Affects PORTE_PCR4 register */
      PORT_HAL_SetMuxMode(PORTE,4UL,kPortMuxAlt2);
      /* Affects PORTE_PCR3 register */
      PORT_HAL_SetMuxMode(PORTE,3UL,kPortMuxAlt2);
      /* Affects PORTE_PCR2 register */
      PORT_HAL_SetMuxMode(PORTE,2UL,kPortMuxAlt2);
      /* Affects PORTE_PCR1 register */
      PORT_HAL_SetMuxMode(PORTE,1UL,kPortMuxAlt2);
      break;
    case SPI2_IDX:                       /* HW_SPI2 */
      /* Affects PORTD_PCR11 register */
      PORT_HAL_SetMuxMode(PORTD,11UL,kPortMuxAlt2);
      /* Affects PORTD_PCR15 register */
      PORT_HAL_SetMuxMode(PORTD,15UL,kPortMuxAlt2);
      /* Affects PORTD_PCR14 register */
      PORT_HAL_SetMuxMode(PORTD,14UL,kPortMuxAlt2);
      /* Affects PORTD_PCR12 register */
      PORT_HAL_SetMuxMode(PORTD,12UL,kPortMuxAlt2);
      /* Affects PORTD_PCR13 register */
      PORT_HAL_SetMuxMode(PORTD,13UL,kPortMuxAlt2);
      break;
    default:
      break;
  }
}

void configure_tpiu_pins(uint32_t instance)
{
  /* Affects PORTA_PCR2 register */
  PORT_HAL_SetMuxMode(PORTA,2UL,kPortMuxAlt7);
}

void configure_tpm_pins(uint32_t instance)
{
  switch(instance) {    
    case TPM2_IDX:                       /* HW_TPM2 */
      /* Affects PORTA_PCR10 register */
      PORT_HAL_SetMuxMode(PORTA,10UL,kPortMuxAlt6);
      PORT_HAL_SetPullMode(PORTA,10UL,kPortPullUp);
      PORT_HAL_SetPullCmd(PORTA,10UL,true);

      SIM_HAL_SetTpmChSrcMode(SIM,TPM2_IDX,0u,kSimTpmChSrc0);
      break;
    default:
      break;
  }
}

void configure_tsi_pins(uint32_t instance)
{
  /* Affects PORTB_PCR18 register */
  PORT_HAL_SetMuxMode(PORTB,18UL,kPortPinDisabled);
  /* Affects PORTB_PCR19 register */
  PORT_HAL_SetMuxMode(PORTB,19UL,kPortPinDisabled);
}

void configure_uart_pins(uint32_t instance)
{
  switch(instance) {    
    case UART2_IDX:                      /* HW_UART2 */
      /* Affects PORTE_PCR17 register */
      PORT_HAL_SetMuxMode(PORTE,17UL,kPortMuxAlt3);
      /* Affects PORTE_PCR16 register */
      PORT_HAL_SetMuxMode(PORTE,16UL,kPortMuxAlt3);
      break;
    case UART3_IDX:                      /* HW_UART3 */
      /* Affects PORTC_PCR19 register */
      PORT_HAL_SetMuxMode(PORTC,19UL,kPortMuxAlt3);
      /* Affects PORTC_PCR18 register */
      PORT_HAL_SetMuxMode(PORTC,18UL,kPortMuxAlt3);
      /* Affects PORTC_PCR16 register */
      PORT_HAL_SetMuxMode(PORTC,16UL,kPortMuxAlt3);
      /* Affects PORTC_PCR17 register */
      PORT_HAL_SetMuxMode(PORTC,17UL,kPortMuxAlt3);
      break;
    case UART4_IDX:                      /* HW_UART4 */
      /* Affects PORTC_PCR13 register */
      PORT_HAL_SetMuxMode(PORTC,13UL,kPortMuxAlt3);
      /* Affects PORTC_PCR12 register */
      PORT_HAL_SetMuxMode(PORTC,12UL,kPortMuxAlt3);
      /* Affects PORTC_PCR14 register */
      PORT_HAL_SetMuxMode(PORTC,14UL,kPortMuxAlt3);
      /* Affects PORTC_PCR15 register */
      PORT_HAL_SetMuxMode(PORTC,15UL,kPortMuxAlt3);
      break;
    default:
      break;
  }
}

void configure_flexbus_pins(uint32_t instance)
{
    switch (instance) {
        case FB_IDX:
            /* Address pins */
            PORT_HAL_SetMuxMode(PORTD, 6u, kPortMuxAlt5);      /* FB_AD0 */
            PORT_HAL_SetMuxMode(PORTD, 5u, kPortMuxAlt5);      /* FB_AD1 */
            PORT_HAL_SetMuxMode(PORTD, 4u, kPortMuxAlt5);      /* FB_AD2 */
            PORT_HAL_SetMuxMode(PORTD, 3u, kPortMuxAlt5);      /* FB_AD3 */
            PORT_HAL_SetMuxMode(PORTD, 2u, kPortMuxAlt5);      /* FB_AD4 */
            PORT_HAL_SetMuxMode(PORTC, 10u, kPortMuxAlt5);     /* FB_AD5 */
            PORT_HAL_SetMuxMode(PORTC, 9u, kPortMuxAlt5);      /* FB_AD6 */
            PORT_HAL_SetMuxMode(PORTC, 8u, kPortMuxAlt5);      /* FB_AD7 */
            PORT_HAL_SetMuxMode(PORTC, 7u, kPortMuxAlt5);      /* FB_AD8 */
            PORT_HAL_SetMuxMode(PORTC, 6u, kPortMuxAlt5);      /* FB_AD9 */
            PORT_HAL_SetMuxMode(PORTC, 5u, kPortMuxAlt5);      /* FB_AD10 */
            /* Comment out for UART1 purpose.*/
            // PORT_HAL_SetMuxMode(PORTC, 4u, kPortMuxAlt5);      /* FB_AD11 */
            PORT_HAL_SetMuxMode(PORTC, 2u, kPortMuxAlt5);      /* FB_AD12 */
            PORT_HAL_SetMuxMode(PORTC, 1u, kPortMuxAlt5);      /* FB_AD13 */
            PORT_HAL_SetMuxMode(PORTC, 0u, kPortMuxAlt5);      /* FB_AD14 */
            PORT_HAL_SetMuxMode(PORTB, 18u, kPortMuxAlt5);     /* FB_AD15 */
            PORT_HAL_SetMuxMode(PORTB, 17u, kPortMuxAlt5);     /* FB_AD16 */
            PORT_HAL_SetMuxMode(PORTB, 16u, kPortMuxAlt5);     /* FB_AD17 */
            PORT_HAL_SetMuxMode(PORTB, 11u, kPortMuxAlt5);     /* FB_AD18 */
            PORT_HAL_SetMuxMode(PORTB, 10u, kPortMuxAlt5);     /* FB_AD19 */
            PORT_HAL_SetMuxMode(PORTC, 15u, kPortMuxAlt5);     /* FB_AD24 */
            PORT_HAL_SetMuxMode(PORTC, 14u, kPortMuxAlt5);     /* FB_AD25 */
            PORT_HAL_SetMuxMode(PORTC, 13u, kPortMuxAlt5);     /* FB_AD26 */
            PORT_HAL_SetMuxMode(PORTC, 12u, kPortMuxAlt5);     /* FB_AD27 */
            PORT_HAL_SetMuxMode(PORTB, 23u, kPortMuxAlt5);     /* FB_D28 */
            PORT_HAL_SetMuxMode(PORTB, 22u, kPortMuxAlt5);     /* FB_D29 */
            PORT_HAL_SetMuxMode(PORTB, 21u, kPortMuxAlt5);     /* FB_D30 */
            PORT_HAL_SetMuxMode(PORTB, 20u, kPortMuxAlt5);     /* FB_D31 */

            /* R/W */
            PORT_HAL_SetMuxMode(PORTC, 11u, kPortMuxAlt5);     /* FB_R/W_B */

            /* OE */
            PORT_HAL_SetMuxMode(PORTB, 19u, kPortMuxAlt5);     /* FB_OE_B */

            /* CS */
            PORT_HAL_SetMuxMode(PORTD, 1u, kPortMuxAlt5);      /* FB_CS0 */
            PORT_HAL_SetMuxMode(PORTD, 0u, kPortMuxAlt5);      /* FB_CS1 */

            /* CLKOUT */
            /* Comment out for UART1 purpose.*/
            // PORT_HAL_SetMuxMode(PORTC, 3u, kPortMuxAlt5);      /* FB_CLKOUT */
            break;
        default:
            break;
    }
}

/* END pin_mux. */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.1 [05.11]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
