/* ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : hardware_init.c
**     Project     : SDK
**     Processor   : MK22FN512VDC12
**     Component   : PinSettings
**     Version     : Component 01.002, Driver 1.1, CPU db: 3.00.000
**     Compiler    : IAR ARM C Compiler
**     Date/Time   : 2014-01-06, 13:21, # CodeGen: 2
**     Abstract    :
**
**     Settings    :
**
**     Contents    :
**         GPIO                - void hardware_init_GPIO(uint32_t instance);
**         I2C                 - void hardware_init_I2C(uint32_t instance);
**         I2S                 - void hardware_init_I2S(uint32_t instance);
**         SPI                 - void hardware_init_SPI(uint32_t instance);
**         UART                - void hardware_init_UART(uint32_t instance);
**
**     Copyright : 1997 - 2013 Freescale Semiconductor, Inc. All Rights Reserved.
**     SOURCE DISTRIBUTION PERMISSIBLE as directed in End User License Agreement.
**
**     http      : www.freescale.com
**     mail      : support@freescale.com
** ###################################################################*/
/*!
** @file hardware_init.c
** @version 1.1
** @brief
**
*/
/*!
**  @addtogroup hardware_init_module hardware_init module documentation
**  @{
*/

/* MODULE hardware_init. */

#include "fsl_device_registers.h"
#include "fsl_port_hal.h"
#include "pin_mux.h"


void configure_gpio_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* PTA */
      /* PORTA_PCR4 */
      PORT_HAL_SetMuxMode(PORTA,4u,kPortMuxAsGpio);
      break;
    case 1:                             /* PTB */
      /* PORTB_PCR0 */
      PORT_HAL_SetMuxMode(PORTB,16u,kPortMuxAsGpio);
      /* PORTB_PCR1 */
      PORT_HAL_SetMuxMode(PORTB,17u,kPortMuxAsGpio);
      /* PORTB_PCR6 */
      PORT_HAL_SetMuxMode(PORTB,19u,kPortMuxAsGpio);
      break;
    case 2:                             /* PTC */
      /* PORTC_PCR6 */
      PORT_HAL_SetMuxMode(PORTC,6u,kPortMuxAsGpio);
      /* PORTC_PCR7 */
      PORT_HAL_SetMuxMode(PORTC,11u,kPortMuxAsGpio);
      break;
    case 3:                             /* PTD */
      /* PORTD_PCR0 */
      PORT_HAL_SetMuxMode(PORTD,0u,kPortMuxAsGpio);
      /* PORTD_PCR1 */
      PORT_HAL_SetMuxMode(PORTD,1u,kPortMuxAsGpio);
      /* PORTD_PCR4 */
      PORT_HAL_SetMuxMode(PORTD,4u,kPortMuxAsGpio);
      /* PORTD_PCR7 */
      PORT_HAL_SetMuxMode(PORTD,7u,kPortMuxAsGpio);
      break;
    case 4:                             /* PTE */
      /* PORTE_PCR0 */
      PORT_HAL_SetMuxMode(PORTE,0u,kPortMuxAsGpio);
      /* PORTE_PCR1 */
      PORT_HAL_SetMuxMode(PORTE,1u,kPortMuxAsGpio);
      /* PORTE_PCR24 */
      PORT_HAL_SetMuxMode(PORTE,24u,kPortMuxAsGpio);
      /* PORTE_PCR25 */
      PORT_HAL_SetMuxMode(PORTE,25u,kPortMuxAsGpio);
      break;
    default:
      break;
  }
}

void configure_i2c_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* I2C0 */
      /* PORTD_PCR2 */
      PORT_HAL_SetMuxMode(PORTD,2u,kPortMuxAlt7);
      PORT_HAL_SetOpenDrainCmd(PORTD,2u,true);
      /* PORTD_PCR3 */
      PORT_HAL_SetMuxMode(PORTD,3u,kPortMuxAlt7);
      PORT_HAL_SetOpenDrainCmd(PORTD,3u,true);
      break;
    case 1:                             /* I2C1 */
      /* TODO: Currently, I2C1 isn't wired to Elevator,
       * though we keep its pins configuration but there is notes that:
       * - If PTE0 is configured as I2C1_SDA, will conflict with LED2
       * - If PTE1 is configured as I2C1_SCL, will conflict with LED1
       * - If PTC11 is configured as I2C1_SDA, will conflict with SW2
       */
      /* PORTE_PCR0 */
      PORT_HAL_SetMuxMode(PORTE,0u,kPortMuxAlt6);
      PORT_HAL_SetOpenDrainCmd(PORTE,0u,true);
      /* PORTE_PCR1 */
      PORT_HAL_SetMuxMode(PORTE,1u,kPortMuxAlt6);
      PORT_HAL_SetOpenDrainCmd(PORTE,1u,true);
      break;
    default:
      break;
  }
}

void configure_rtc_pins(uint32_t instance)
{
  /* PORTE_PCR26 */
  PORT_HAL_SetMuxMode(PORTE,26u,kPortMuxAlt6);
}

void configure_spi_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* SPI0 */
      /* PORTE_PCR16 */
      PORT_HAL_SetMuxMode(PORTE,16u,kPortMuxAlt2);
      /* PORTE_PCR17 */
      PORT_HAL_SetMuxMode(PORTE,17u,kPortMuxAlt2);
      /* PORTE_PCR18 */
      PORT_HAL_SetMuxMode(PORTE,18u,kPortMuxAlt2);
      /* PORTE_PCR19 */
      PORT_HAL_SetMuxMode(PORTE,19u,kPortMuxAlt2);
      break;
    case 1:                             /* SPI1 */
      /* PORTB_PCR10 */
      PORT_HAL_SetMuxMode(PORTB,10u,kPortMuxAlt2);
      /* PORTE_PCR1 */
      PORT_HAL_SetMuxMode(PORTE,1u,kPortMuxAlt2);
      /* PORTB_PCR11 */
      PORT_HAL_SetMuxMode(PORTB,11u,kPortMuxAlt2);
      /* PORTE_PCR3 */
      PORT_HAL_SetMuxMode(PORTE,3u,kPortMuxAlt2);
      break;
    default:
      break;
  }
}

void configure_spi_cs0_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTE,16u,kPortMuxAsGpio);
}

void configure_spi_cs1_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTC,3u,kPortMuxAsGpio);
}

void configure_gpio_i2c_pins(uint32_t instance)
{
  PORT_HAL_SetMuxMode(PORTD,2u,kPortMuxAsGpio);
  PORT_HAL_SetMuxMode(PORTD,3u,kPortMuxAsGpio);
}

void configure_uart_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* UART0 */
      /* PORTB_PCR16 */
      PORT_HAL_SetMuxMode(PORTB,16u,kPortMuxAlt3);
      /* PORTB_PCR17 */
      PORT_HAL_SetMuxMode(PORTB,17u,kPortMuxAlt3);
      break;
    default:
      break;
  }
}

/* Setup FTM pins to drive LEDs */
void configure_ftm_pins(uint32_t instance)
{
  switch(instance) {
    case 0:                             /* FTM0 */
    /* PORTD_PCR7 (D7 - Green) */
    PORT_HAL_SetMuxMode(PORTD, 7u, kPortMuxAlt4);
    break;

    default:
      break;
  }
}

void configure_cmp_pins(uint32_t instance)
{
    switch (instance)
    {
        case 0U:
            PORT_HAL_SetMuxMode(PORTC, 6U, kPortPinDisabled); /* PTC0 - CMP0_IN0. */
            break;
        default:
            break;
    }
}

// Connected TWR_MEM
void configure_sdcard_spi_pins(uint32_t instance)
{
    /* SPI1_CS0 */
    PORT_HAL_SetMuxMode(PORTB, 11u, kPortMuxAlt2);
    PORT_HAL_SetPullMode(PORTB, 11u, kPortPullUp);
    PORT_HAL_SetPullCmd(PORTB, 11u, true);
    /* SPI1_SCK */
    PORT_HAL_SetMuxMode(PORTB, 10u, kPortMuxAlt2);

    /* SPI1_SOUT */
    PORT_HAL_SetMuxMode(PORTE, 1u, kPortMuxAlt2);
    PORT_HAL_SetPullMode(PORTE, 1u, kPortPullUp);
    PORT_HAL_SetPullCmd(PORTE, 1u, true);

    /* SPI1_SIN */
    PORT_HAL_SetMuxMode(PORTE, 3u, kPortMuxAlt2);
    PORT_HAL_SetPullMode(PORTE, 3u, kPortPullUp);
    PORT_HAL_SetPullCmd(PORTE, 3u, true);

    /* Pin_Card_detection*/
    PORT_HAL_SetMuxMode(PORTC, 9u, kPortMuxAsGpio);

    /* Pin_Card_write_protection*/
    PORT_HAL_SetMuxMode(PORTB, 22u, kPortMuxAsGpio);
    PORT_HAL_SetPullMode(PORTB, 22u, kPortPullUp);
    PORT_HAL_SetPullCmd(PORTB, 22u, true);
}


/* END hardware_init. */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.3 [05.09]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
