/* ###################################################################
**     THIS COMPONENT MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Filename    : pin_mux.c
**     Project     : kv4x_test
**     Processor   : MKV46F256VLL15
**     Component   : PinSettings
**     Version     : Component 01.007, Driver 1.1, CPU db: 3.00.000
**     Compiler    : GNU C Compiler
**     Date/Time   : 2014-05-27, 11:27, # CodeGen: 3
**     Abstract    :
**
**     Settings    :
**
**     Contents    :
**         hardware_init       - void hardware_init(void);
**         configure_jtag_pins - void configure_jtag_pins(uint32_t instance);
**         configure_scb_pins  - void configure_scb_pins(uint32_t instance);
**         configure_uart_pins - void configure_uart_pins(uint32_t instance);
**
**     Copyright : 1997 - 2014 Freescale Semiconductor, Inc. 
**     All Rights Reserved.
**     
**     Redistribution and use in source and binary forms, with or without modification,
**     are permitted provided that the following conditions are met:
**     
**     o Redistributions of source code must retain the above copyright notice, this list
**       of conditions and the following disclaimer.
**     
**     o Redistributions in binary form must reproduce the above copyright notice, this
**       list of conditions and the following disclaimer in the documentation and/or
**       other materials provided with the distribution.
**     
**     o Neither the name of Freescale Semiconductor, Inc. nor the names of its
**       contributors may be used to endorse or promote products derived from this
**       software without specific prior written permission.
**     
**     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
**     ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
**     WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
**     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
**     ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
**     (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
**     LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
**     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
**     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
**     SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
**     
**     http: www.freescale.com
**     mail: support@freescale.com
** ###################################################################*/
/*!
** @file pin_mux.c
** @version 1.1
** @brief
**
*/         
/*!
**  @addtogroup pin_mux_module pin_mux module documentation
**  @{
*/         

/* MODULE pin_mux. */

#include "fsl_device_registers.h"
#include "fsl_port_hal.h"
#include "pin_mux.h"

void configure_gpio_pins(uint32_t instance)
{
    switch(instance) {
        case PORTA_IDX:                             /* PTA */
            break;
        case PORTB_IDX:                             /* PTB */
            PORT_HAL_SetMuxMode(PORTB, 23, kPortMuxAsGpio);
            break;
        case PORTC_IDX:                             /* PTC */
            PORT_HAL_SetMuxMode(PORTC, 1, kPortMuxAsGpio);
            PORT_HAL_SetMuxMode(PORTC, 2, kPortMuxAsGpio);
            PORT_HAL_SetMuxMode(PORTC, 7, kPortMuxAsGpio);
            break;
        case PORTD_IDX:                             /* PTD */
            PORT_HAL_SetMuxMode(PORTD, 0, kPortMuxAsGpio);
            PORT_HAL_SetMuxMode(PORTD, 1, kPortMuxAsGpio);
            PORT_HAL_SetMuxMode(PORTD, 2, kPortMuxAsGpio);
            PORT_HAL_SetMuxMode(PORTD, 3, kPortMuxAsGpio);
            PORT_HAL_SetMuxMode(PORTD, 4, kPortMuxAsGpio);
            PORT_HAL_SetMuxMode(PORTD, 5, kPortMuxAsGpio);
            break;
        case PORTE_IDX:                             /* PTE */
            PORT_HAL_SetMuxMode(PORTE, 6, kPortMuxAsGpio);
            break;
        default:
            break;
    }
}

void configure_jtag_pins(uint32_t instance)
{
    /* PORTA_PCR0 */
    PORT_HAL_SetMuxMode(PORTA,0u,kPortMuxAlt7);
    /* PORTA_PCR1 */
    PORT_HAL_SetMuxMode(PORTA,1u,kPortMuxAlt7);
    /* PORTA_PCR2 */
    PORT_HAL_SetMuxMode(PORTA,2u,kPortMuxAlt7);
    /* PORTA_PCR3 */
    PORT_HAL_SetMuxMode(PORTA,3u,kPortMuxAlt7);
}

void configure_scb_pins(uint32_t instance)
{
    /* PORTA_PCR4 */
    PORT_HAL_SetMuxMode(PORTA,4u,kPortMuxAlt7);
}

void configure_uart_pins(uint32_t instance)
{
    switch(instance) {
        case UART0_IDX:                      /* UART0 */
            /* PORTC_PCR6 */
            PORT_HAL_SetMuxMode(PORTC,6u,kPortMuxAlt5);
            /* PORTC_PCR7 */
            PORT_HAL_SetMuxMode(PORTC,7u,kPortMuxAlt5);
            break;
        case UART1_IDX:                      /* UART1 */
            /* PORTE_PCR1 */
            PORT_HAL_SetMuxMode(PORTE,1u,kPortMuxAlt3);
            /* PORTE_PCR0 */
            PORT_HAL_SetMuxMode(PORTE,0u,kPortMuxAlt3);
            break;
        default:
            break;
    }
}

void configure_i2c_pins(uint32_t instance)
{
    switch(instance) {    
        case I2C0_IDX:                       /* I2C0 */
            /* Affects PORTC_PCR14 register */
            PORT_HAL_SetMuxMode(PORTC, 14, kPortMuxAlt3);
            PORT_HAL_SetOpenDrainCmd(PORTC,14u,true);
            /* Affects PORTC_PCR15 register */
            PORT_HAL_SetMuxMode(PORTC, 15, kPortMuxAlt3);
            PORT_HAL_SetOpenDrainCmd(PORTC,15u,true);
            break;
        default:
            break;
    }
}

void configure_spi_pins(uint32_t instance)
{
    switch(instance) {    
        case SPI0_IDX:                       /* SPI0 */
            /* PORTD_PCR0 */
            PORT_HAL_SetMuxMode(PORTD,0u,kPortMuxAlt2);
            PORT_HAL_SetDriveStrengthMode(PORTD, 0u, kPortLowDriveStrength);
            PORT_HAL_SetPullMode(PORTD, 0u, kPortPullUp);
            PORT_HAL_SetPullCmd(PORTD, 0u, true);
            /* PORTD_PCR3 */
            PORT_HAL_SetMuxMode(PORTD, 3u, kPortMuxAlt2);
            PORT_HAL_SetDriveStrengthMode(PORTD, 3u, kPortLowDriveStrength);
            /* PORTD_PCR1 */
            PORT_HAL_SetMuxMode(PORTD, 1u, kPortMuxAlt2);
            PORT_HAL_SetDriveStrengthMode(PORTD, 1u, kPortLowDriveStrength);
            /* PORTD_PCR2 */
            PORT_HAL_SetMuxMode(PORTD, 2u, kPortMuxAlt2);
            PORT_HAL_SetDriveStrengthMode(PORTD, 2u, kPortHighDriveStrength);
            break;
            /* SPI1 */
            /* Not supported, only SPI0 module*/
        default:
            break;
    }
}

void configure_spi_cs0_pins(uint32_t instance)
{
    PORT_HAL_SetMuxMode(PORTD,0u,kPortMuxAsGpio);
}

void configure_spi_cs1_pins(uint32_t instance)
{
    PORT_HAL_SetMuxMode(PORTD,4u,kPortMuxAsGpio);
}

#ifdef FTM_INSTANCE_COUNT
void configure_ftm_pins(uint32_t instance)
{
    switch(instance) {    
        case FTM0_IDX:                       /* FTM0 */
            /* Affects PORTD_PCR0 register */
            PORT_HAL_SetDriveStrengthMode(PORTD,0u,kPortLowDriveStrength);  
            PORT_HAL_SetMuxMode(PORTD,0u,kPortMuxAlt5);
            PORT_HAL_SetSlewRateMode(PORTD,0u,kPortSlowSlewRate);
            break;
        default:
            break;
    }
}
#endif

void configure_can_pins(uint32_t instance)
{
    switch(instance) {
        case CAN0_IDX:                       /* CAN0 */
            /* PORTA_PCR12 */
            PORT_HAL_SetMuxMode(PORTA,12u,kPortMuxAlt2);
            /* PORTA_PCR13 */
            PORT_HAL_SetMuxMode(PORTA,13u,kPortMuxAlt2);
            break;
#if defined(CPU_MKV40F256VLL15) || defined(CPU_MKV40F128VLL15) || defined(CPU_MKV43F128VLL15) || \
    defined(CPU_MKV45F128VLL15) || defined(CPU_MKV45F256VLL15) || defined(CPU_MKV46F128VLH15) || \
    defined(CPU_MKV46F128VLL15) || defined(CPU_MKV46F256VLH15) || defined(CPU_MKV46F256VLL15)
        case CAN1_IDX:                       /* CAN1 */
            /* PORTC_PCR16 */
            PORT_HAL_SetMuxMode(PORTC,16u,kPortMuxAlt2);
            /* PORTC_PCR17 */
            PORT_HAL_SetMuxMode(PORTC,17u,kPortMuxAlt2);
            break;
#endif
        default:
            break;
    }
}


void configure_pwm_pins(uint32_t instance)
{
    switch(instance)
    {
        case PWMA_IDX:
            PORT_HAL_SetMuxMode(PORTD, 0, kPortMuxAlt6);
            PORT_HAL_SetMuxMode(PORTD, 1, kPortMuxAlt6);
            PORT_HAL_SetMuxMode(PORTD, 2, kPortMuxAlt6);
            PORT_HAL_SetMuxMode(PORTD, 3, kPortMuxAlt6);
            PORT_HAL_SetMuxMode(PORTD, 4, kPortMuxAlt5);
            PORT_HAL_SetMuxMode(PORTD, 5, kPortMuxAlt5);
            PORT_HAL_SetMuxMode(PORTC, 1, kPortMuxAlt5);
            PORT_HAL_SetMuxMode(PORTC, 2, kPortMuxAlt5);
            break;
        default:
            break;
    }
}

void configure_enc_pins(uint32_t instance)
{
    switch(instance)
    {
        case ENC_IDX:
            PORT_HAL_SetMuxMode(PORTE, 24u, kPortMuxAlt4);
            PORT_HAL_SetMuxMode(PORTE, 25u, kPortMuxAlt4);
            PORT_HAL_SetMuxMode(PORTC, 1u, kPortMuxAlt6);
            PORT_HAL_SetMuxMode(PORTC, 2u, kPortMuxAlt6);
            break;
        default:
            break;
    }
}

void configure_cmp_pins(uint32_t instance)
{
    switch (instance)
    {
        case CMP0_IDX:
            PORT_HAL_SetMuxMode(PORTC, 7U, kPortPinDisabled); /* PTC6 - CMP0_IN1. */
            break;
        default:
            break;
    }
}

void configure_dac_pins(uint32_t instance)
{
    switch (instance)
    {
        case 0U:
            PORT_HAL_SetMuxMode(PORTE, 30U, kPortPinDisabled);
            break;
        default:
            break;
    }
}
/* END pin_mux. */
/*!
** @}
*/
/*
** ###################################################################
**
**     This file was created by Processor Expert 10.4 [05.09]
**     for the Freescale Kinetis series of microcontrollers.
**
** ###################################################################
*/
